package com.madeu.crm.contentsBbs.service;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

public interface ContentsBbsService {
        public HashMap<String, Object> selectListWebTreatmentPetitIntro(HashMap<String, Object> paramMap)
                        throws Exception;

        public HashMap<String, Object> getContentsBbsList(HashMap<String, Object> paramMap) throws Exception;

        public HashMap<String, Object> getContentsBbs(HashMap<String, Object> paramMap) throws Exception;

        public HashMap<String, Object> insertWebTreatmentPetitIntro(HashMap<String, Object> paramMap) throws Exception;

        public HashMap<String, Object> putContentsBbs(HashMap<String, Object> paramMap, MultipartFile file,
                        MultipartFile content_file) throws Exception;

        public HashMap<String, Object> moveContentsBbs(HashMap<String, Object> paramMap) throws Exception;

        public HashMap<String, Object> modContentsBbs(HashMap<String, Object> paramMap, MultipartFile file,
                        MultipartFile content_file) throws Exception;

        public HashMap<String, Object> delContentsBbs(HashMap<String, Object> paramMap) throws Exception;

        public HashMap<String, Object> selectListTreatmentOption(HashMap<String, Object> paramMap) throws Exception;

        public HashMap<String, Object> updateContentsBbsOrdNo(HashMap<String, Object> paramMap) throws Exception;

        public HashMap<String, Object> getCategoryList(HashMap<String, Object> paramMap) throws Exception;
}
